Gemini Files & Cache
Get Gemini cached content
Reads cached content metadata.
Reads cached content metadata. Resources can only be read, referenced, changed, or deleted in their owning Workspace. Missing, expired, or inaccessible resources return a Gemini-format error.
curl -X GET "https://example.com/v1beta/cachedContents/string"{ "name": "string", "model": "string", "displayName": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "expireTime": "2019-08-24T14:15:22Z", "usageMetadata": {}}AuthorizationBearer <token>
API Key authentication. Create or manage API keys in Dashboard > API > API Keys.
In: header
Path Parameters
cacheId*string
Suffix of the returned cachedContents/{cacheId} name.
Query Parameters
key?string
API key alternative to Bearer or x-goog-api-key.
Response
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json